Data APIs
News Search
POST
/
data
/
news
/
search
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/news/search",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={
"searchBy": {"type": "entity", "entity": {"type": "domain", "domain": "anthropic.com"}},
"sortBy": {"type": "newest"},
"limit": 10,
},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/news/search", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"searchBy": {
"type": "entity",
"entity": {
"type": "domain",
"domain": "anthropic.com"
}
},
"sortBy": {
"type": "newest"
},
"limit": 10
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/news/search \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"searchBy": {
"type": "entity",
"entity": {
"type": "domain",
"domain": "anthropic.com"
}
},
"sortBy": {
"type": "newest"
},
"limit": 10
}'{
"data": [
{
"id": "<string>",
"story_id": "<string>",
"url": "<string>",
"title": "<string>",
"source": {
"name": "<string>",
"domain": "<string>",
"direct": false
},
"match": {
"level": "primary",
"confidence": 0.5
},
"description": "<string>",
"language": "<string>",
"authors": [
"<string>"
],
"image_url": "<string>",
"published_at": "<string>",
"type": "editorial"
}
],
"has_more": true,
"next_cursor": "<string>",
"meta": {
"count": 1
},
"request_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
1 <= x <= 100Maximum string length:
300Maximum array length:
20Required string length:
1 - 50Was this page helpful?
⌘I
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/news/search",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={
"searchBy": {"type": "entity", "entity": {"type": "domain", "domain": "anthropic.com"}},
"sortBy": {"type": "newest"},
"limit": 10,
},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/news/search", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"searchBy": {
"type": "entity",
"entity": {
"type": "domain",
"domain": "anthropic.com"
}
},
"sortBy": {
"type": "newest"
},
"limit": 10
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/news/search \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"searchBy": {
"type": "entity",
"entity": {
"type": "domain",
"domain": "anthropic.com"
}
},
"sortBy": {
"type": "newest"
},
"limit": 10
}'{
"data": [
{
"id": "<string>",
"story_id": "<string>",
"url": "<string>",
"title": "<string>",
"source": {
"name": "<string>",
"domain": "<string>",
"direct": false
},
"match": {
"level": "primary",
"confidence": 0.5
},
"description": "<string>",
"language": "<string>",
"authors": [
"<string>"
],
"image_url": "<string>",
"published_at": "<string>",
"type": "editorial"
}
],
"has_more": true,
"next_cursor": "<string>",
"meta": {
"count": 1
},
"request_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}